import arcpy, os

workGDB = r'\\toto\\GIS\\_ArcGIS_PublishingProjects\\_tools\\widget_downloads\\GpTool\\TestSDE.gdb'
outGDB = r'\\toto\\GIS\\_ArcGIS_PublishingProjects\\_tools\\widget_downloads\\GpTool\\outSDE.gdb'
expression = "TIMBERLAND_NAME = 'MWFAC'"

timberland = os.path.join(workGDB, 'Timberlands')

if arcpy.Exists(os.path.join(outGDB, 'test')):
    arcpy.Delete_management(os.path.join(outGDB, 'test'))

selection = arcpy.SelectLayerByAttribute_management(timberland, "NEW_SELECTION", expression)

arcpy.CopyFeatures_management(selection, os.path.join(outGDB, 'test'))





